
QGIS Application - Bug report #14832

Crash when loading QGIS help->about dialog

2016-05-17 12:14 PM - Jeremy Palmer

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: LINUX Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22786

Description

When loading the QGIS about dialog I get a segfault:

Reading contributors file /usr/share/qgis/doc/CONTRIBUTORS.............................................

Fatal: ASSERT: "uint(i) < uint(size())" in file /usr/include/qt4/QtCore/qstring.h, line 699

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(+0x5a27)[0x7fc55646aa27]

/usr/bin/qgis.bin(+0x5d0a)[0x7fc55646ad0a]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qt_message_output(QtMsgType, char const*)+0x21)[0x7fc553e60bb1]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x70ff9)[0x7fc553e60ff9]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qFatal(char const*, ...)+0x94)[0x7fc553e61804]

/usr/lib/libqgis_app.so.2.15.0(+0x1a5a51)[0x7fc555a19a51]

/usr/lib/libqgis_app.so.2.15.0(QgsAbout::init()+0x615)[0x7fc555a17b39]

/usr/lib/libqgis_app.so.2.15.0(QgsAbout::QgsAbout(QWidget*)+0x1d9)[0x7fc555a17413]

/usr/lib/libqgis_app.so.2.15.0(QgisApp::about()+0x6d)[0x7fc5559ac12d]

/usr/lib/libqgis_app.so.2.15.0(+0x56ccc8)[0x7fc555de0cc8]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QMetaObject::activate(QObject*, QMetaObject const*, int, void**)+0x2da)[0x7fc553f8187a]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::triggered(bool)+0x32)[0x7fc553300a62]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::activate(QAction::ActionEvent)+0x63)[0x7fc553302433]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QObject::event(QEvent*)+0x24e)[0x7fc553f85c1e]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::event(QEvent*)+0x12)[0x7fc5533024f2]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x8c)[0x7fc553306e2c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0x270)[0x7fc55330d4a0]

/usr/lib/libqgis_core.so.2.15.0(QgsApplication::notify(QObject*, QEvent*)+0x8f)[0x7fc5545cacdb]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x6d)[0x7fc553f6d4dd]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplicationPrivate::sendPostedEvents(QObject*, int,

QThreadData*)+0x1ed)[0x7fc553f70b3d]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x1aaf83)[0x7fc553f9af83]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254)[0x7fc54c10de04]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x49048)[0x7fc54c10e048]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7fc54c10e0ec]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x71)[0x7f

553f9a7a1]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bbe6)[0x7fc5533a8be6]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7fc553f6c0

f]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7fc553f6c3a5]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x89)[0x7fc553f71b79]

/usr/bin/qgis.bin(+0xa033)[0x7fc55646f033]

/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7fc55287fec5]
/usr/bin/qgis.bin(+0x53a9)[0x7fc55646a3a9]

Aborted (core dumped)

I'm runnng 2.15.0+git20160516+3d44a1e+20trusty-ubuntugis on Ubuntu 14.04

Associated revisions

Revision 04176350 - 2016-05-17 10:03 PM - Jürgen Fischer

fix about box (followup 0b940cac, fixes #14832)

History

#1 - 2016-05-17 01:11 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"04176350ec66acc1d36b80134901acd3fbeed834".

#2 - 2016-05-17 02:26 PM - Jeremy Palmer

Thanks Jürgen!

#3 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
